summaryrefslogtreecommitdiff
path: root/repo/system/elogind/elogind.initd
diff options
context:
space:
mode:
Diffstat (limited to 'repo/system/elogind/elogind.initd')
-rw-r--r--repo/system/elogind/elogind.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/repo/system/elogind/elogind.initd b/repo/system/elogind/elogind.initd
new file mode 100644
index 0000000..0c22ca9
--- /dev/null
+++ b/repo/system/elogind/elogind.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+supervisor=supervise-daemon
+
+name="System login manager"
+description="System service that manages user logins"
+description_reload="Reload configuration without exiting"
+
+command=/usr/libexec/elogind/elogind
+
+depend() {
+ need dbus
+
+ # Make sure we start before any other display manager
+ before display-manager
+}
+
+extra_started_commands="reload"
+
+reload() {
+ ebegin "Reloading configuration"
+ $supervisor $RC_SVCNAME --signal HUP
+ eend $?
+}